# Updates a payment with the specified ID. This method will update an existing payment with the specified ID. Endpoint: PUT /payments/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the payment to update. ## Request fields (application/json): - `amount_pending_capture` (number) The amount of payment yet to be captured - `bank_account_id` (string, required) The bank account to use for this payment - `base_currency_code` (string) The base currency for transactions business unit - `base_currency_symbol` (string) The base symbol for the transactions business unit - `batch_id` (string, required) The batch this transaction belongs to - `billing_address` (object) A complete address - `billing_address.city` (string) The city of the address - `billing_address.country` (string) The country ISO code - `billing_address.country_name` (string) The full name of hte country - `billing_address.county` (string) The county - `billing_address.latitude` (number) - `billing_address.line1` (string) The first line of the address - `billing_address.line2` (string) The second line of the address - `billing_address.line3` (string) The third line of the address - `billing_address.longitude` (number) - `billing_address.postal_code` (string) The zip/postal code - `billing_address.state` (string) The state/province of the address - `billing_address.time_zone_id` (string) - `billing_run_action_id` (string) The billing run action that created this order; we track it here only to pass it back through the billing service - `billing_run_id` (string) If this is part of a billing run, the ID - `billing_run_service` (string) If initiated by a billing run, the relevant service - `business_unit_id` (string, required) The business unit this transaction belongs to - `cancellation_id` (string) The order cancellation tied to this transaction - `captures` (array) - `captures.amount_captured` (number, required) The amount captured - `captures.card_expiration` (string) The card expiration - `captures.card_last_digits` (string) The last 4 digits of the card that was processed - `captures.card_type` (string) The card type - `captures.date` (string, required) date of the capture - `captures.raw_capture_info` (string) The raw information from the gateway - `captures.transaction_id` (string, required) The transaction id of the capture - `cash_account_type` (string, required) Type of cash account to use Enum: "bank", "merchant", "none" - `contact_id` (string, required) The contact that owns the payment - `currency_code` (string) The currency code in use Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EEK", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GQE", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LTL", "LVL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZM", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEB", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMK", "ZWR" - `currency_symbol` (string) The currency symbol - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string) The date of the transaction - `electronic_payment_info` (object, required) - `electronic_payment_info.card_type` (string) The type of card being used, or CHECK if electronic check Enum: "american express", "discover", "electronic check", "mastercard", "other", "visa" - `electronic_payment_info.payment_account` (string) The masked payment account information - `electronic_payment_info.payment_origin` (string, required) Whether or not this is a saved payment method Enum: "ad hoc", "saved" - `electronic_payment_info.token` (string, required) The token representing the card/electronic check info - `exchange_rate` (number) The exchange rate, if applicable - `id` (string, required) The unique, string identifier of this payment - `installment_schedule_id` (string) If this is tied to an installment schedule - `legacy_processor` (boolean) If true, this payment was run using the legacy processor of the merchant account - `line_items` (array, required) - `line_items.amount_refunded` (number) The amount that was refunded - `line_items.bundled_product_1` (object) - `line_items.bundled_product_1.amount` (number, required) The amount of the bundled product - `line_items.bundled_product_1.product_id` (string, required) The bundled product ID - `line_items.bundled_product_1.product_type` (string, required) The bundled product type - `line_items.bundled_product_2` (object) - `line_items.credit_id` (string) ID of the credit that was generated - `line_items.enable_auto_renewal` (boolean) If set, the host record should turn on auto renewal using this payment info - `line_items.invoice_currency_code` (string) The currency code in use Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EEK", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GQE", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LTL", "LVL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZM", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEB", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMK", "ZWR" - `line_items.invoice_exchange_rate` (number) The exchange rate, if applicable - `line_items.invoice_id` (string) Id of the invoice being paid - `line_items.invoice_line_item_balance_due_after_payment` (number) Balance due on the invoice after payment was applied - `line_items.invoice_line_item_balance_due_at_the_time_of_payment` (number) The line item balance due at the time of payment - `line_items.invoice_line_item_id` (string) Line item id of the invoice - `line_items.invoice_line_item_total_at_the_time_of_payment` (number) Invoice line item total when payment was made - `line_items.invoice_version_at_the_time_of_payment` (number) The version of the invoice object at the time of payment - `line_items.payment_line_item_id` (string) Line item id of the payment - `line_items.primary_product_total` (number) When inline bundling is used, this is the total amount for the primary product - `line_items.product_id` (string) If this payment is for an invoice item, the product id - `line_items.product_type` (string) If this payment is for an invoice item, the product type/microservice - `line_items.related_transactions` (array) - `line_items.related_transactions.amount` (number, required) The amount applied - `line_items.related_transactions.date` (string, required) The date/time of the transaction - `line_items.related_transactions.transaction_id` (string, required) The id of the transaction - `line_items.related_transactions.transaction_line_item_id` (string, required) The line item id of the transaction - `line_items.related_transactions.transaction_number` (number, required) The number of the transaction - `line_items.related_transactions.type` (string) Enum: "cancellation", "credit", "credit memo", "credit usage", "debit memo", "invoice", "payment", "refund", "return", "shipment", "write off" - `line_items.total` (number, required) Total of the line item - `line_items.total_in_base_currency` (number) The total of the transaction, in the base currency of the business unit. - `line_items.total_in_invoice_currency` (number) The total of the transaction, in the currency of the invoice. - `line_items.type` (string, required) Type of payment line item Enum: "credit usage", "invoice", "overpayment" - `memo` (string) Memo/description of the transaction - `merchant_account_id` (string, required) The merchant account to use for this payment - `notes` (string) Notes fro the transaction - `number` (integer, required) The transaction number - `order_id` (string) The order tied to this transaction - `organization_id` (string, required) The organization that owns the payment - `owner_type` (string, required) The type of owner Enum: "contact", "organization" - `payment_that_this_transaction_reverses_id` (string) The name of the payment that THIS payment reverses or backs out - `reference_number` (string) A reference number to be used for the payment - `return_id` (string) The return tied to this transaction - `send_email_confirmation` (boolean) Whether to send an email confirmation - `send_receipt_to` (string) The email address(es) to send receipts - `settlement_discrepancy` (number) The difference between the total in base currency and the amount actually settled - `status` (string) Enum: "complete", "partially refunded", "refunded", "reversed", "void" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_search_composite_key` (string) Internal use - `sys_search_credit_card_type` (string) Internal use - `sys_search_transaction_id` (string) Internal use - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `total` (number, required) The transaction total - `total_in_base_currency` (number, required) The transaction total in base currency - `total_settled_in_base_currency` (number) The amount settled, in base currency - `type` (string, required) The type of payment Enum: "ach", "cash", "cashiers check", "check", "credit card", "electronic check", "money order", "offline credit card", "payroll deduction", "purchase order", "store credit", "wire transfer" - `uses_v2_api` (boolean) If set, this payment was processed via the synchronous API, vs step functions - `was_generated_by_order` (boolean) If this was generated by the order process - `workflow_execution_id` (string) The ID of the state machine execution used to create this transaction ## Response 200 fields (application/json): - `amount_pending_capture` (number) The amount of payment yet to be captured - `bank_account_id` (string, required) The bank account to use for this payment - `base_currency_code` (string) The base currency for transactions business unit - `base_currency_symbol` (string) The base symbol for the transactions business unit - `batch_id` (string, required) The batch this transaction belongs to - `billing_address` (object) A complete address - `billing_address.city` (string) The city of the address - `billing_address.country` (string) The country ISO code - `billing_address.country_name` (string) The full name of hte country - `billing_address.county` (string) The county - `billing_address.latitude` (number) - `billing_address.line1` (string) The first line of the address - `billing_address.line2` (string) The second line of the address - `billing_address.line3` (string) The third line of the address - `billing_address.longitude` (number) - `billing_address.postal_code` (string) The zip/postal code - `billing_address.state` (string) The state/province of the address - `billing_address.time_zone_id` (string) - `billing_run_action_id` (string) The billing run action that created this order; we track it here only to pass it back through the billing service - `billing_run_id` (string) If this is part of a billing run, the ID - `billing_run_service` (string) If initiated by a billing run, the relevant service - `business_unit_id` (string, required) The business unit this transaction belongs to - `cancellation_id` (string) The order cancellation tied to this transaction - `captures` (array) - `captures.amount_captured` (number, required) The amount captured - `captures.card_expiration` (string) The card expiration - `captures.card_last_digits` (string) The last 4 digits of the card that was processed - `captures.card_type` (string) The card type - `captures.date` (string, required) date of the capture - `captures.raw_capture_info` (string) The raw information from the gateway - `captures.transaction_id` (string, required) The transaction id of the capture - `cash_account_type` (string, required) Type of cash account to use Enum: "bank", "merchant", "none" - `contact_id` (string, required) The contact that owns the payment - `currency_code` (string) The currency code in use Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EEK", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GQE", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LTL", "LVL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZM", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEB", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMK", "ZWR" - `currency_symbol` (string) The currency symbol - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string) The date of the transaction - `electronic_payment_info` (object, required) - `electronic_payment_info.card_type` (string) The type of card being used, or CHECK if electronic check Enum: "american express", "discover", "electronic check", "mastercard", "other", "visa" - `electronic_payment_info.payment_account` (string) The masked payment account information - `electronic_payment_info.payment_origin` (string, required) Whether or not this is a saved payment method Enum: "ad hoc", "saved" - `electronic_payment_info.token` (string, required) The token representing the card/electronic check info - `exchange_rate` (number) The exchange rate, if applicable - `id` (string, required) The unique, string identifier of this payment - `installment_schedule_id` (string) If this is tied to an installment schedule - `legacy_processor` (boolean) If true, this payment was run using the legacy processor of the merchant account - `line_items` (array, required) - `line_items.amount_refunded` (number) The amount that was refunded - `line_items.bundled_product_1` (object) - `line_items.bundled_product_1.amount` (number, required) The amount of the bundled product - `line_items.bundled_product_1.product_id` (string, required) The bundled product ID - `line_items.bundled_product_1.product_type` (string, required) The bundled product type - `line_items.bundled_product_2` (object) - `line_items.credit_id` (string) ID of the credit that was generated - `line_items.enable_auto_renewal` (boolean) If set, the host record should turn on auto renewal using this payment info - `line_items.invoice_currency_code` (string) The currency code in use Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EEK", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GQE", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LTL", "LVL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZM", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEB", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMK", "ZWR" - `line_items.invoice_exchange_rate` (number) The exchange rate, if applicable - `line_items.invoice_id` (string) Id of the invoice being paid - `line_items.invoice_line_item_balance_due_after_payment` (number) Balance due on the invoice after payment was applied - `line_items.invoice_line_item_balance_due_at_the_time_of_payment` (number) The line item balance due at the time of payment - `line_items.invoice_line_item_id` (string) Line item id of the invoice - `line_items.invoice_line_item_total_at_the_time_of_payment` (number) Invoice line item total when payment was made - `line_items.invoice_version_at_the_time_of_payment` (number) The version of the invoice object at the time of payment - `line_items.payment_line_item_id` (string) Line item id of the payment - `line_items.primary_product_total` (number) When inline bundling is used, this is the total amount for the primary product - `line_items.product_id` (string) If this payment is for an invoice item, the product id - `line_items.product_type` (string) If this payment is for an invoice item, the product type/microservice - `line_items.related_transactions` (array) - `line_items.related_transactions.amount` (number, required) The amount applied - `line_items.related_transactions.date` (string, required) The date/time of the transaction - `line_items.related_transactions.transaction_id` (string, required) The id of the transaction - `line_items.related_transactions.transaction_line_item_id` (string, required) The line item id of the transaction - `line_items.related_transactions.transaction_number` (number, required) The number of the transaction - `line_items.related_transactions.type` (string) Enum: "cancellation", "credit", "credit memo", "credit usage", "debit memo", "invoice", "payment", "refund", "return", "shipment", "write off" - `line_items.total` (number, required) Total of the line item - `line_items.total_in_base_currency` (number) The total of the transaction, in the base currency of the business unit. - `line_items.total_in_invoice_currency` (number) The total of the transaction, in the currency of the invoice. - `line_items.type` (string, required) Type of payment line item Enum: "credit usage", "invoice", "overpayment" - `memo` (string) Memo/description of the transaction - `merchant_account_id` (string, required) The merchant account to use for this payment - `notes` (string) Notes fro the transaction - `number` (integer, required) The transaction number - `order_id` (string) The order tied to this transaction - `organization_id` (string, required) The organization that owns the payment - `owner_type` (string, required) The type of owner Enum: "contact", "organization" - `payment_that_this_transaction_reverses_id` (string) The name of the payment that THIS payment reverses or backs out - `reference_number` (string) A reference number to be used for the payment - `return_id` (string) The return tied to this transaction - `send_email_confirmation` (boolean) Whether to send an email confirmation - `send_receipt_to` (string) The email address(es) to send receipts - `settlement_discrepancy` (number) The difference between the total in base currency and the amount actually settled - `status` (string) Enum: "complete", "partially refunded", "refunded", "reversed", "void" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_search_composite_key` (string) Internal use - `sys_search_credit_card_type` (string) Internal use - `sys_search_transaction_id` (string) Internal use - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `total` (number, required) The transaction total - `total_in_base_currency` (number, required) The transaction total in base currency - `total_settled_in_base_currency` (number) The amount settled, in base currency - `type` (string, required) The type of payment Enum: "ach", "cash", "cashiers check", "check", "credit card", "electronic check", "money order", "offline credit card", "payroll deduction", "purchase order", "store credit", "wire transfer" - `uses_v2_api` (boolean) If set, this payment was processed via the synchronous API, vs step functions - `was_generated_by_order` (boolean) If this was generated by the order process - `workflow_execution_id` (string) The ID of the state machine execution used to create this transaction ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields